Package ghidra.framework.data

# Class DefaultCheckinHandler

java.lang.Object
ghidra.framework.data.DefaultCheckinHandler

All Implemented Interfaces:
  `CheckinHandler`

public class DefaultCheckinHandler extends Object implements CheckinHandler
`DefaultCheckinHandler` provides a simple check-in handler for use with `DomainFile.checkin(CheckinHandler, boolean, ghidra.util.task.TaskMonitor)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultCheckinHandler(String comment, boolean keepCheckedOut, boolean createKeepFile)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `createKeepFile()`
  Returns true if the system should create a keep file copy of the user's check-in file.
  `String`
  `getComment()`
  Returns the check-in comment.
  `boolean`
  `keepCheckedOut()`
  Returns true if check-out state should be retained.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultCheckinHandler

    public DefaultCheckinHandler(String comment, boolean keepCheckedOut, boolean createKeepFile)

- ## Method Details

  - ### getComment

    public String getComment() throws CancelledException
    Description copied from interface: `CheckinHandler`
    Returns the check-in comment.
    Specified by:
      `getComment` in interface `CheckinHandler`
    Returns:
      the check-in comment
    Throws:
      `CancelledException` - thrown if user cancels the check-in

  - ### keepCheckedOut

    public boolean keepCheckedOut() throws CancelledException
    Description copied from interface: `CheckinHandler`
    Returns true if check-out state should be retained.
    Specified by:
      `keepCheckedOut` in interface `CheckinHandler`
    Returns:
      true if check-out state should be retained
    Throws:
      `CancelledException` - thrown if user cancels the check-in

  - ### createKeepFile

    public boolean createKeepFile() throws CancelledException
    Description copied from interface: `CheckinHandler`
    Returns true if the system should create a keep file copy of the user's check-in file.
    Specified by:
      `createKeepFile` in interface `CheckinHandler`
    Throws:
      `CancelledException` - thrown if user cancels the check-in